•   
  • 1
  • 4
  • 5
  • 6(current)
  • 7
  • 8
  • 11
  •   
Beta Library Integration Tool - Automatically add videos from plugins to your library
#76
(2021-02-02, 17:27)kingkiller Wrote:
(2020-07-07, 06:37)derrgoo123 Wrote: I am very happy to find your Tool. Have been searching for something like this for awhile. Thank you for making it.

I have been able to add movies to libraries very easy but I am unable or missing something trying to add TV Series. They are added into the files but they don't show up under TV Shows below the Movies. I am performing the same steps as movies but they don't seem to sync in this front screen. It only shows the usual "recently added" which is empty. 

Anything, I may be missing for TV Series?

Thank you!

Hi,
This probably happens due to the lack of the .nfo file and the episode id (ex: S01E01) in the file name.
The ideal scenario in my point of view is that of this example image.

Image.

I am modifying the addon to try to obtain this result, but for now it is only possible to add a series, without database.
That would be great. With this tool I added hundreds of movies to my Kodi. It would be great to add series too!
Reply
#77
(2021-02-09, 15:18)jokerigno Wrote:
(2021-02-02, 17:27)kingkiller Wrote:
(2020-07-07, 06:37)derrgoo123 Wrote: I am very happy to find your Tool. Have been searching for something like this for awhile. Thank you for making it.

I have been able to add movies to libraries very easy but I am unable or missing something trying to add TV Series. They are added into the files but they don't show up under TV Shows below the Movies. I am performing the same steps as movies but they don't seem to sync in this front screen. It only shows the usual "recently added" which is empty. 

Anything, I may be missing for TV Series?

Thank you!

Hi,
This probably happens due to the lack of the .nfo file and the episode id (ex: S01E01) in the file name.
The ideal scenario in my point of view is that of this example image.

Image.

I am modifying the addon to try to obtain this result, but for now it is only possible to add a series, without database.
That would be great. With this tool I added hundreds of movies to my Kodi. It would be great to add series too!
You can test my last updates, tvshows maybe works, movies need more tests.

https://github.com/luizoti/script.librar...ation.tool
Reply
#78
[quote="jokerigno" pid='3012744' dateline='1612876704']
 You can test my last updates, tvshows maybe works, movies need more tests.

Movies (from Amazon-test plugin works fine at the moment).

How can I add your repository? Or how can I install your fork?
Reply
#79
(2021-02-10, 16:16)jokerigno Wrote:
(2021-02-09, 15:18)jokerigno Wrote:  You can test my last updates, tvshows maybe works, movies need more tests.

Movies (from Amazon-test plugin works fine at the moment).

How can I add your repository? Or how can I install your fork?
Remember, I'm still making changes to the code, a lot of things will go wrong, but the tests I did for shows should work.

Please test if:
1. .nfo and strm are being created correctly
2. if the order of epsody is right.
3. Whether the epsody matches number (if epsody 1 is actually 1 and 2 is 2 and so on.

NOTE: Disney+ needs a small "hack" to work properly, if you want to test, I made a repo with this hack.

To install, try this:


mv ~/.kodi/addons/script.library.integration.tool/ ~/
cd ~/.kodi/addons/
git clone https://github.com/luizoti/script.librar...n.tool.git
Reply
#80
(2021-02-10, 20:49)kingkiller Wrote:
(2021-02-10, 16:16)jokerigno Wrote:
(2021-02-09, 15:18)jokerigno Wrote:  You can test my last updates, tvshows maybe works, movies need more tests.

Movies (from Amazon-test plugin works fine at the moment).

How can I add your repository? Or how can I install your fork?
Remember, I'm still making changes to the code, a lot of things will go wrong, but the tests I did for shows should work.

Please test if:
1. .nfo and strm are being created correctly
2. if the order of epsody is right.
3. Whether the epsody matches number (if epsody 1 is actually 1 and 2 is 2 and so on.

NOTE: Disney+ needs a small "hack" to work properly, if you want to test, I made a repo with this hack.

To install, try this:


mv ~/.kodi/addons/script.library.integration.tool/ ~/
cd ~/.kodi/addons/
git clone https://github.com/luizoti/script.librar...n.tool.git
Uhm I have kodi running on my nvidia shield. Any alternative way? Maybe just copy paste content from your github to /kodi/addons/script.library.integration.tool addon folder?
Reply
#81
(2021-02-11, 11:29)jokerigno Wrote:
(2021-02-10, 20:49)kingkiller Wrote:
(2021-02-10, 16:16)jokerigno Wrote:  
Remember, I'm still making changes to the code, a lot of things will go wrong, but the tests I did for shows should work.

Please test if:
1. .nfo and strm are being created correctly
2. if the order of epsody is right.
3. Whether the epsody matches number (if epsody 1 is actually 1 and 2 is 2 and so on.

NOTE: Disney+ needs a small "hack" to work properly, if you want to test, I made a repo with this hack.

To install, try this:


mv ~/.kodi/addons/script.library.integration.tool/ ~/
cd ~/.kodi/addons/
git clone https://github.com/luizoti/script.librar...n.tool.git
Uhm I have kodi running on my nvidia shield. Any alternative way? Maybe just copy paste content from your github to /kodi/addons/script.library.integration.tool addon folder?
nvidia shield is runing windows or linux? copy n paste probably will work.
Reply
#82
(2021-02-11, 21:58)kingkiller Wrote:
(2021-02-11, 11:29)jokerigno Wrote:
(2021-02-10, 20:49)kingkiller Wrote: Remember, I'm still making changes to the code, a lot of things will go wrong, but the tests I did for shows should work.

Please test if:
1. .nfo and strm are being created correctly
2. if the order of epsody is right.
3. Whether the epsody matches number (if epsody 1 is actually 1 and 2 is 2 and so on.

NOTE: Disney+ needs a small "hack" to work properly, if you want to test, I made a repo with this hack.

To install, try this:


mv ~/.kodi/addons/script.library.integration.tool/ ~/
cd ~/.kodi/addons/
git clone https://github.com/luizoti/script.librar...n.tool.git
Uhm I have kodi running on my nvidia shield. Any alternative way? Maybe just copy paste content from your github to /kodi/addons/script.library.integration.tool addon folder?
nvidia shield is runing windows or linux? copy n paste probably will work.
I tested it and in my case it does now work at all. I click on sync to library then it ask me what type of content it is (with a different windows from the "original" LIT) but then nothing happens. No movies-show it is added to staged.
Reply
#83
(2021-02-15, 13:46)jokerigno Wrote:
(2021-02-11, 21:58)kingkiller Wrote:
(2021-02-11, 11:29)jokerigno Wrote: Uhm I have kodi running on my nvidia shield. Any alternative way? Maybe just copy paste content from your github to /kodi/addons/script.library.integration.tool addon folder?
nvidia shield is runing windows or linux? copy n paste probably will work.
I tested it and in my case it does now work at all. I click on sync to library then it ask me what type of content it is (with a different windows from the "original" LIT) but then nothing happens. No movies-show it is added to staged.
One of the parts that I modified least was to synchronize movies, in my last tests everything seems to be ok.
The service I'm having more problems with is the Amazon, at least with PT-BR titles, as they have accents, other services I'm doing more tests, but everything works.


Anyway, I'm trying to fix the problems and update the repository.
Reply
#84
Do you think will be possible to assign a custom folder outside addon_data? So it would be easy to customise contents using ember for example
Reply
#85
(2021-02-16, 17:26)jokerigno Wrote: Do you think will be possible to assign a custom folder outside addon_data? So it would be easy to customise contents using ember for example

If you talk about the option, "Use custom managed folder" it exists since the original version, but it is in the addon settings.

Addon Settings
Reply
#86
(2021-02-15, 13:46)jokerigno Wrote:
(2021-02-11, 21:58)kingkiller Wrote:
(2021-02-11, 11:29)jokerigno Wrote: Uhm I have kodi running on my nvidia shield. Any alternative way? Maybe just copy paste content from your github to /kodi/addons/script.library.integration.tool addon folder?
nvidia shield is runing windows or linux? copy n paste probably will work.
I tested it and in my case it does now work at all. I click on sync to library then it ask me what type of content it is (with a different windows from the "original" LIT) but then nothing happens. No movies-show it is added to staged.

Hi, so, if you can, download the repository again and update the installation, I made some updates and by the tests I did, everything seems to work fine.
Reply
#87
(2021-02-17, 04:10)kingkiller Wrote:
(2021-02-15, 13:46)jokerigno Wrote:
(2021-02-11, 21:58)kingkiller Wrote: nvidia shield is runing windows or linux? copy n paste probably will work.
I tested it and in my case it does now work at all. I click on sync to library then it ask me what type of content it is (with a different windows from the "original" LIT) but then nothing happens. No movies-show it is added to staged.

Hi, so, if you can, download the repository again and update the installation, I made some updates and by the tests I did, everything seems to work fine.

It doesn't work.

This is the error that appears in log.

2021-02-17 14:05:38.417 T:25206   ERROR: EXCEPTION Thrown (PythonToCppException) : -->Python callback/script returned the following error<--
                                             - NOTE: IGNORING THIS CAN LEAD TO MEMORY LEAKS!
                                            Error Type: <type 'exceptions.ImportError'>
                                            Error Contents: No module named six
                                            Traceback (most recent call last):
                                              File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.library.integration.tool/default.py", line 8, in <module>
                                                import resources.lib.utils as utils
                                              File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.library.integration.tool/resources/lib/utils.py", line 16, in <module>
                                                import six
                                            ImportError: No module named six
                                            -->End of Python script error report<--

I restored then previous version but now it's broken !.

Here's the error in log.

2021-02-17 14:08:54.558 T:26197   ERROR: EXCEPTION Thrown (PythonToCppException) : -->Python callback/script returned the following error<--
                                             - NOTE: IGNORING THIS CAN LEAD TO MEMORY LEAKS!
                                            Error Type: <type 'exceptions.IOError'>
                                            Error Contents: [Errno 2] No such file or directory: '/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/userdata/addon_data/script.library.integration.tool/.version'
                                            Traceback (most recent call last):
                                              File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.library.integration.tool/default.py", line 30, in <module>
                                                main()
                                              File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.library.integration.tool/resources/lib/utils.py", line 190, in wrapper
                                                check_version_file()
                                              File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.library.integration.tool/resources/lib/utils.py", line 179, in check_version_file
                                                with open(version_file_path, 'w') as version_file:
                                            IOError: [Errno 2] No such file or directory: '/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/userdata/addon_data/script.library.integration.tool/.version'
                                            -->End of Python script error report<--
Reply
#88
(2021-02-17, 15:07)jokerigno Wrote:
(2021-02-17, 04:10)kingkiller Wrote:
(2021-02-15, 13:46)jokerigno Wrote: I tested it and in my case it does now work at all. I click on sync to library then it ask me what type of content it is (with a different windows from the "original" LIT) but then nothing happens. No movies-show it is added to staged.

Hi, so, if you can, download the repository again and update the installation, I made some updates and by the tests I did, everything seems to work fine.

It doesn't work.

This is the error that appears in log.

2021-02-17 14:05:38.417 T:25206   ERROR: EXCEPTION Thrown (PythonToCppException) : -->Python callback/script returned the following error<--
                                             - NOTE: IGNORING THIS CAN LEAD TO MEMORY LEAKS!
                                            Error Type: <type 'exceptions.ImportError'>
                                            Error Contents: No module named six
                                            Traceback (most recent call last):
                                              File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.library.integration.tool/default.py", line 8, in <module>
                                                import resources.lib.utils as utils
                                              File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.library.integration.tool/resources/lib/utils.py", line 16, in <module>
                                                import six
                                            ImportError: No module named six
                                            -->End of Python script error report<--

I restored then previous version but now it's broken !.

Here's the error in log.

2021-02-17 14:08:54.558 T:26197   ERROR: EXCEPTION Thrown (PythonToCppException) : -->Python callback/script returned the following error<--
                                             - NOTE: IGNORING THIS CAN LEAD TO MEMORY LEAKS!
                                            Error Type: <type 'exceptions.IOError'>
                                            Error Contents: [Errno 2] No such file or directory: '/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/userdata/addon_data/script.library.integration.tool/.version'
                                            Traceback (most recent call last):
                                              File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.library.integration.tool/default.py", line 30, in <module>
                                                main()
                                              File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.library.integration.tool/resources/lib/utils.py", line 190, in wrapper
                                                check_version_file()
                                              File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.library.integration.tool/resources/lib/utils.py", line 179, in check_version_file
                                                with open(version_file_path, 'w') as version_file:
                                            IOError: [Errno 2] No such file or directory: '/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/userdata/addon_data/script.library.integration.tool/.version'
                                            -->End of Python script error report<--
ImportError: No module named six

This error is due to the lack of module six, in your case as it is Android, it should not be possible to install, I will remove it from the project.

IOError: [Errno 2] No such file or directory: '/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/userdata/addon_data/script.library.integration.tool/.version'

This error happens because the .version file does not exist, if you create it manually you should solve this problem, but there is already an issue about it: issue

I will update the project by taking the six and try to solve the second error as well.

Remembering that six was a test to solve other problems with accented characters, as soon as I update, if you are still willing to test, some content may not work when synchronized, a problem I remember having with the original version of the addon, as it does not depend directly on the addon, but on the data to be processed.

Anyway, to make sure everything works, I recommend using the original version.
Reply
#89
Any plans for kodi 19?
It’s grate addon I hope you can make it work with kodi 19
Reply
#90
(2021-02-18, 19:32)trkselim Wrote: Any plans for kodi 19?
It’s grate addon I hope you can make it work with kodi 19
I wish I could talk to the original developer about it too, so I saw the most complex thing to reimplement, maybe it is like windows with progress bars, the rest of the code I think there are no major problems.

I should think about it using the six, but maybe another way can be taken to create the interfaces, maybe using PyXBMCt, as I understand it, it is possible.
Reply
  •   
  • 1
  • 4
  • 5
  • 6(current)
  • 7
  • 8
  • 11
  •   



Logout Mark Read Team Forum Stats Members Help
Library Integration Tool - Automatically add videos from plugins to your library0
This forum uses Lukasz Tkacz MyBB addons.